Subject: Re: Discussion on SOC device tree bindings

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 16 Jan 2007 17:25:04 +1100

> The thread started with discussion about the 5200 device tree binding
> conventions, but has moved to a specific issue.  Now we are talking
> about how to deal with shared registers.  ie. There are 2 I2C
> controllers on the 5200, but they share one register.  How is that
> best represented in the device tree?

  .../i2c-core/i2c-bus@0
              /i2c-bus@1

Or something like that. Make one device that encloses them all. Well,
that's of the top of my head, somebod might have a better idea.

Ben.